DDM NDIVIA 304.116-2 installation failed [SOLVED]

Post your update and upgrade related errors here
Forum rules
Before you post please read this

DDM NDIVIA 304.116-2 installation failed [SOLVED]

Postby dandomina on Wed Feb 19, 2014 1:28 pm

After upgrading SP8, Xwindow won't work, it seems NVIDIA driver for SP8 has some problems with my environment ?

As a work around, I have installed nouveau driver instead of NDIVIA 304.xx driver at the moment.

I have just made a quick investigation for some tests.

SP6:
Just after clean installation of LMDE SP6 (MATE 64BIT), Device Driver Manager wrongly identified NDIVIA 319.72 instead of NDIVIA 304.116-2

SP6 Screenshot-Device Driver Manager.png



SP6 clean upgrade to SP8
then Device Driver Manager correctly identified NDIVIA 304.116-2

SP8 Screenshot-Device Driver Manager.png


however, after driver installation, Xwindow doesn’t work (just like my own upgrade from SP7 to SP8)

It seems installed 319.72, not 304.116-2 ?? I am not sure, I have attached Xorg.0.log here, please verify this.

Xorg.0.log

Code: Select all
[    44.063]
X.Org X Server 1.14.3
Release Date: 2013-09-12
[    44.063] X Protocol Version 11, Revision 0
[    44.063] Build Operating System: Linux 3.12.0-rc6-patser+ x86_64 Debian
[    44.063] Current Operating System: Linux testsp6 3.11-2-amd64 #1 SMP Debian 3.11.8-1 (2013-11-13) x86_64
[    44.063] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.11-2-amd64 root=UUID=95afd1cd-358a-4dca-b4e2-bf8575fd9a15 ro quiet splash
[    44.063] Build Date: 25 November 2013  01:54:46PM
[    44.063] xorg-server 2:1.14.3-5 (Maarten Lankhorst <maarten.lankhorst@ubuntu.com>)
[    44.063] Current version of pixman: 0.30.2
[    44.063]    Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
[    44.063] Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    44.063] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Feb 19 02:27:00 2014
[    44.063] (==) Using config file: "/etc/X11/xorg.conf"
[    44.064] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    44.064] (==) ServerLayout "Layout0"
[    44.064] (**) |-->Screen "Screen0" (0)
[    44.064] (**) |   |-->Monitor "Monitor0"
[    44.065] (**) |   |-->Device "Device0"
[    44.065] (**) |-->Input Device "Keyboard0"
[    44.065] (**) |-->Input Device "Mouse0"
[    44.065] (==) Automatically adding devices
[    44.065] (==) Automatically enabling devices
[    44.065] (==) Automatically adding GPU devices
[    44.065] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    44.065]    Entry deleted from font path.
[    44.065] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    44.065]    Entry deleted from font path.
[    44.065] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    44.065]    Entry deleted from font path.
[    44.065] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    44.065]    Entry deleted from font path.
[    44.065] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    44.065]    Entry deleted from font path.
[    44.065] (==) FontPath set to:
   /usr/share/fonts/X11/misc,
   /usr/share/fonts/X11/Type1,
   built-ins
[    44.065] (==) ModulePath set to "/usr/lib/xorg/modules"
[    44.065] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    44.065] (WW) Disabling Keyboard0
[    44.065] (WW) Disabling Mouse0
[    44.065] (II) Loader magic: 0x7fd1b0e6fd00
[    44.065] (II) Module ABI versions:
[    44.065]    X.Org ANSI C Emulation: 0.4
[    44.065]    X.Org Video Driver: 14.1
[    44.065]    X.Org XInput driver : 19.1
[    44.065]    X.Org Server Extension : 7.0
[    44.068] (--) PCI:*(0:0:5:0) 10de:0241:1631:e027 rev 162, Mem @ 0xfc000000/16777216, 0xe0000000/268435456, 0xfb000000/16777216, BIOS @ 0x????????/131072
[    44.068] (II) Open ACPI successful (/var/run/acpid.socket)
[    44.068] Initializing built-in extension Generic Event Extension
[    44.068] Initializing built-in extension SHAPE
[    44.068] Initializing built-in extension MIT-SHM
[    44.068] Initializing built-in extension XInputExtension
[    44.068] Initializing built-in extension XTEST
[    44.068] Initializing built-in extension BIG-REQUESTS
[    44.068] Initializing built-in extension SYNC
[    44.068] Initializing built-in extension XKEYBOARD
[    44.068] Initializing built-in extension XC-MISC
[    44.068] Initializing built-in extension SECURITY
[    44.068] Initializing built-in extension XINERAMA
[    44.068] Initializing built-in extension XFIXES
[    44.068] Initializing built-in extension RENDER
[    44.068] Initializing built-in extension RANDR
[    44.068] Initializing built-in extension COMPOSITE
[    44.068] Initializing built-in extension DAMAGE
[    44.068] Initializing built-in extension MIT-SCREEN-SAVER
[    44.068] Initializing built-in extension DOUBLE-BUFFER
[    44.068] Initializing built-in extension RECORD
[    44.068] Initializing built-in extension DPMS
[    44.068] Initializing built-in extension X-Resource
[    44.068] Initializing built-in extension XVideo
[    44.068] Initializing built-in extension XVideo-MotionCompensation
[    44.069] Initializing built-in extension SELinux
[    44.069] Initializing built-in extension XFree86-VidModeExtension
[    44.069] Initializing built-in extension XFree86-DGA
[    44.069] Initializing built-in extension XFree86-DRI
[    44.069] Initializing built-in extension DRI2
[    44.069] (II) LoadModule: "glx"
[    44.069] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    44.111] (II) Module glx: vendor="NVIDIA Corporation"
[    44.111]    compiled for 4.0.2, module version = 1.0.0
[    44.111]    Module class: X.Org Server Extension
[    44.111] (II) NVIDIA GLX Module  319.72  Wed Oct 30 17:39:53 PDT 2013
[    44.111] Loading extension GLX
[    44.111] (II) LoadModule: "nvidia"
[    44.111] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    44.113] (II) Module nvidia: vendor="NVIDIA Corporation"
[    44.113]    compiled for 4.0.2, module version = 1.0.0
[    44.113]    Module class: X.Org Video Driver
[    44.113] (II) NVIDIA dlloader X Driver  319.72  Wed Oct 30 17:19:14 PDT 2013
[    44.113] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    44.113] (++) using VT number 7

[    44.115] (II) Loading sub module "fb"
[    44.115] (II) LoadModule: "fb"
[    44.115] (II) Loading /usr/lib/xorg/modules/libfb.so
[    44.116] (II) Module fb: vendor="X.Org Foundation"
[    44.116]    compiled for 1.14.3, module version = 1.0.0
[    44.116]    ABI class: X.Org ANSI C Emulation, version 0.4
[    44.116] (WW) Unresolved symbol: fbGetGCPrivateKey
[    44.116] (II) Loading sub module "wfb"
[    44.116] (II) LoadModule: "wfb"
[    44.116] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    44.116] (II) Module wfb: vendor="X.Org Foundation"
[    44.116]    compiled for 1.14.3, module version = 1.0.0
[    44.116]    ABI class: X.Org ANSI C Emulation, version 0.4
[    44.116] (II) Loading sub module "shadow"
[    44.116] (II) LoadModule: "shadow"
[    44.116] (II) Loading /usr/lib/xorg/modules/libshadow.so
[    44.117] (II) Module shadow: vendor="X.Org Foundation"
[    44.117]    compiled for 1.14.3, module version = 1.1.0
[    44.117]    ABI class: X.Org ANSI C Emulation, version 0.4
[    44.117] (II) Loading sub module "ramdac"
[    44.117] (II) LoadModule: "ramdac"
[    44.117] (II) Module "ramdac" already built-in
[    44.117] (WW) NVIDIA(0): The NVIDIA GeForce 6150 LE GPU installed in this system is
[    44.117] (WW) NVIDIA(0):     supported through the NVIDIA 304.xx Legacy drivers. Please
[    44.117] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[    44.117] (WW) NVIDIA(0):     information.  The 319.72 NVIDIA driver will ignore this
[    44.117] (WW) NVIDIA(0):     GPU.  Continuing probe...
[    44.117] (EE) No devices detected.
[    44.117] (EE)
Fatal server error:
[    44.117] (EE) no screens found(EE)
[    44.117] (EE)
Please consult the The X.Org Foundation support
    at http://wiki.x.org
 for help.
[    44.117] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    44.117] (EE)



If the Device Driver Manager won't work with NDIVIA 304.xx driver, I sincerely do hope Mint Team will fix this issue before making ISO images
as Device Driver Manager is extremely helpful for beginners like myself.

This is my first post and very new to this forum, if something is wrong /or missing please forgive me !

Many thanks for this great Linux Mint OS to everybody :)
Last edited by dandomina on Thu Feb 20, 2014 4:03 pm, edited 1 time in total.
dandomina
Level 1
Level 1
 
Posts: 2
Joined: Wed Feb 19, 2014 12:31 pm

Linux Mint is funded by ads and donations.
 

Re: Device Driver Manager NDIVIA 304.116-2 installation fail

Postby Monsta on Wed Feb 19, 2014 1:35 pm

dandomina wrote:
Code: Select all
[    44.117] (WW) NVIDIA(0): The NVIDIA GeForce 6150 LE GPU installed in this system is
[    44.117] (WW) NVIDIA(0):     supported through the NVIDIA 304.xx Legacy drivers. Please
[    44.117] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[    44.117] (WW) NVIDIA(0):     information.  The 319.72 NVIDIA driver will ignore this
[    44.117] (WW) NVIDIA(0):     GPU.  Continuing probe...

This log confirms you need 304.xx series. Your card is not supported in the newer versions of driver.

dandomina wrote:If the Device Driver Manager won't work with NDIVIA 304.xx driver, I sincerely do hope Mint Team will fix this issue before making ISO images

Mint team has fixed all DDM issues by completely removing DDM from the repositories as this software was buggy and horribly outdated and also caused serious problems for some users. Fixing it was not possible as this is a third-party tool.
Monsta
Level 8
Level 8
 
Posts: 2318
Joined: Fri Aug 19, 2011 3:46 am

Re: DDM NDIVIA 304.116-2 installation failed [SOLVED]

Postby dandomina on Thu Feb 20, 2014 4:02 pm

Thanks for your advice and explanation. I have got a reply so quickly, great !!

Mint team has fixed all DDM issues by completely removing DDM from the repositories as this software was buggy and horribly outdated and also caused serious problems for some users. Fixing it was not possible as this is a third-party tool.



For any user who use Nvidia 304.xx with SP6 /SP7 would need to be warned. as Nvidia 304.xx driver will be replaced with Nvidia 319.72 driver,

1) Before upgrading to SP8 the user needs to change to nouveau driver
or
2) Don't upgrade to SP8 !!

I have found that nouveau drive does not support 1920 x 1200 resolution and dual monitor set up (as I have used before)
As you have suggested, installing 304.xx driver is only option, but I have installed the latest one 304.119 from Nvidia directly
following the instruction below,

viewtopic.php?f=187&t=156044&start=132 ( cmost)

This was hideous process (to me) than DDM, but I have learnt a lot !!

Screenshot-NVIDIA X Server Settings.png


I would like to say that this driver seems very stable and I can setup dual monitor.
Screenshot-NVIDIA X Server Settings-1.png


Well Nvidia 304.xx computers are not new at all but has been used with Windows XP
I hope more users will move from windows xp to Linux Mint,
I sincerely do hope that Mint team will reintroduce DDM with Nvidia 304.xx drivers.

DDM worked Nvidia 304.xx with SP6 like a magic before,

( I have a spare GeForce 6150 LE based PC and I would like to be a tester for this purpose
if this happens!!)

I also found LMDE is far better compatibility with older hard ware than Ubuntu based one.
So please encourage Mint Team to reintroduce DDM in the future!

Many thanks
dandomina
Level 1
Level 1
 
Posts: 2
Joined: Wed Feb 19, 2014 12:31 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: bithir and 3 guests